<mat-toolbar>
  <mat-toolbar-row>
    <span>Your Families</span>
    <span class="spacer"></span>
    <button (click)="addFamily()" color="accent" mat-icon-button matTooltip="Add a new family">
      <mat-icon>add</mat-icon>
    </button>
    <button (click)="joinFamily()" color="accent" mat-icon-button matTooltip="Join a family">
      <mat-icon>person_add</mat-icon>
    </button>
  </mat-toolbar-row>
</mat-toolbar>

<p>list-families works!</p>

<mat-card>
  <mat-card-title>
    Your families
  </mat-card-title>

  <mat-card-content>
    <mat-list>
      <mat-list-item *ngFor="let membership of memberships" [routerLink]="['/family', membership.family.name]">
        <img [alt]="membership.id + '-family-logo'"
             [id]="membership.id + '-family-logo'"
             [src]="membership.family.avatarUrl48"
             matListAvatar>
        <h3 matLine> {{membership.family.displayName}}</h3>
        <p matLine>
          <span> Since </span>
          <span> -- {{membership.createdAt | date}} </span>
        </p>
        <mat-icon matSuffix>arrow_forward</mat-icon>
      </mat-list-item>
    </mat-list>
  </mat-card-content>
</mat-card>
